import express, { Request, Response } from 'express'
import bodyParser from 'body-parser'
import productRoutes from './handlers/products'

const app: express.Application = express()
const address: string = "0.0.0.0:3000"
const port = 3000;

app.use(bodyParser.json())

app.get('/', function (req: Request, res: Response) {
    res.send('Main API')
})

productRoutes(app)


// Start express server
app.listen(port, function () {
    console.log(`starting app on: ${address}`)
})

export default app;
